apiVersion: v1
kind: Service
metadata:
  name: enexa-demo
spec:
  type: ClusterIP
  ports:
    - port: 8501        # External port you want
      targetPort: 8501  # Pod's container port
  selector:
    app: enexa-demo
